using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Skyscraper.Scraper.Dns
{
	public interface IDnsDataSource
	{
		long DnsCountA();
		string DnsIpToName(IPAddress source);
		void RememberDnsRecord(DnsRecord record);
		bool TestForIp(IPAddress iP);
	}
}
